//
//  ContentDetailPurchaseButton.swift
//  SodaLive
//
//  Created by klaus on 2023/08/13.
//

import SwiftUI

struct ContentDetailPurchaseButton: View {
    
    let price: Int
    
    var body: some View {
        HStack(spacing: 0) {
            Image("ic_can")
                .resizable()
                .frame(width: 16.7, height: 16.7)
            
            Text("\(price)")
                .font(.custom(Font.bold.rawValue, size: 14.7))
                .foregroundColor(.white)
                .padding(.leading, 5.3)
            
            Text("캔으로")
                .font(.custom(Font.light.rawValue, size: 12))
                .foregroundColor(.white)
            
            Text(" 구매하기")
                .font(.custom(Font.bold.rawValue, size: 14.7))
                .foregroundColor(.white)
        }
        .frame(maxWidth: .infinity)
        .frame(height: 48.7)
        .background(Color(hex: "9970ff"))
        .cornerRadius(5.3)
        .padding(.top, 18.3)
    }
}
